API Documentation

API Parameter Details

Request parameters

While parameters are listed in a generic way in the individual API endpoints, the parameters are passed in specific locations, as outlined here.

Header Parameters

JSON Body and Query Parameters

For GET requests, the following parameters are passed as query parameters. For POST requests, they are passed as JSON in the request body.

Response status codes

The following status codes may be returned by the API methods. If a status code is not listed in the method description, it is not applicable to that method. If it is listed, the semantics are as follows, unless otherwise specified in the method description:

Examples

Example JSON request body for method that takes only idp_uid as a parameter:

{
  "idp_uid": "6789000006297235623708"
}

Example JSON response body for createProfile() -> 200 OK:

{
  "method": "createProfile",
  "edi_id": "EDI-1234567890abcdef1234567890abcdef",
  "msg": "A new profile was created"
}

Or as XML:

<?xml version="1.0" encoding="UTF-8"?>
<result>
  <method>createProfile</method>
  <edi_id>EDI-1234567890abcdef1234567890abcdef</edi_id>
  <msg>A new profile was created.</msg>
</result>

Example response body for createProfile() -> 400 Bad Request when the request body is not well-formed JSON:

{
  "method": "createProfile",
  "msg": "Request body is not well-formed JSON"
}